libogg documentation | libogg release 1.2.0 - 20100325

# oggpack_look

declared in "ogg/ogg.h";

This function looks at a specified number of bits inside the buffer without advancing the location pointer.

The specified number of bits are read, starting from the location pointer.

This function can be used to read 32 or fewer bits.

    long  oggpack_look(oggpack_buffer *b,int bits);

### Parameters

b
  Pointer to oggpack_buffer to be read.
bits
  Number of bits to look at. For this function, must be 32 or fewer.

### Return Values

> - n represents the requested bits.

copyright © 2000-2010 Xiph.Org | Ogg Container Format
libogg documentation | libogg release 1.2.0 - 20100325